# $Revision: 1.47.2.2 $, $Date: 2008/09/17 12:42:17 $
Summary:	The elm mail user agent
Summary(de):	ELM-Mail-User-Agent
Summary(es):	Agente de mail ELM
Summary(fr):	Agent courrier ELM
Summary(pl):	Program pocztowy elm
Summary(pt_BR):	Agente de mail ELM
Summary(ru):	  elm
Summary(tr):	e-posta okuma yazlm
Summary(uk):	  elm
Name:		elm
Version:	2.5.7
Release:	5
License:	distributable
Group:		Applications/Mail
Source0:	ftp://ftp.virginia.edu/pub/elm/%{name}%{version}.tar.gz
# Source0-md5:	47bb6d6af6dceda4108076507baa99ba
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	b8891e4d62117163025e594e6608f747
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		%{name}-config.patch.gz
Patch1:		%{name}-y2k.patch
Patch2:		%{name}-security.patch
Patch3:		%{name}-no-static-libcrypt.patch
Patch4:		%{name}-makefile-fix.patch
Patch5:		%{name}-tempnam.patch
URL:		http://www.instinct.org/elm/
BuildRequires:	ncurses-devel >= 5.0
Requires:	metamail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Elm is a popular terminal mode email user agent. Elm includes all
standard mailhandling features, including MIME support via metamail.

Elm is still used by some people, but is no longer in development. If
you've used Elm before and you're devoted to it, you should install
the elm package. If you would like to use metamail's MIME support,
you'll also need to install the metamail package.

%description -l de
ELM ist eines der beliebtesten Terminalmodus-Mailhandling-Programme.
Es ist ausgesprochen leistungsfhig, leicht zu bedienen und gut
untersttzt. Es stellt alle Mail-Handlingfunktionen bereit, die man
sich nur wnscht, einschlielich MIME-Support (ber Metamail).

%description -l es
ELM es un popular lector de mail en modo terminal. Es potente, fcil
de usar y de conseguir ayuda. Posee todas las caractersticas que se
podra esperar, incluso soporte a MINE (va metamail).

%description -l fr
ELM est l'un des programmes de gestion du courrier en mode texte les
plus populaires. Il est puissant, facile  utiliser et a apprendre. Il
a toutes les possibilits de gestion du courrier que vous attendez, y
compris la gestion MIME (via metamail).

%description -l pl
Elm jest popularnym programem pocztowym dla terminali tekstowych.
Obsuguje wszystkie standardy pocztowe z MIME wcznie (eby z niego
skorzysta musisz zainstalowa take pakiet metamail).

%description -l pt_BR
ELM  um popular leitor de mail em modo terminal.  poderoso, fcil de
usar e fcil de conseguir ajuda. Possui todas as caractersticas que
voc poderia esperar, inclusive suporte a MINE (via metamail).

%description -l ru
Elm -     . Elm  
    ,   MIME 
metamail.

Elm -    ,  
 .

%description -l tr
ELM, en yaygn kullanlan, metin ekran tabanl e-posta yazlmlarndan
biridir. Kullancya mektuplarn okuyabilmesi iin basit bir ortam
salar.

%description -l uk
Elm -   ͦ  . Elm ͦ Ӧ
Φ Ԧ   ,  Ц MIME 
metamail.

Elm   դ   ,  
 .

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0
#%patch5 -p1

%build
mkdir -p bin
sh ./Makefile.SH
sh ./doc/Makefile.SH
%{__make} \
	OPTIMIZE="%{rpmcflags} -DI_STDARG" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/elm,%{_mandir}/{man1,pl/man1}} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTBIN=$RPM_BUILD_ROOT%{_bindir} \
	BIN=$RPM_BUILD_ROOT%{_bindir} \
	DESTLIB=$RPM_BUILD_ROOT%{_datadir}/elm \
	LIB=$RPM_BUILD_ROOT%{_datadir}/elm \
	MAN=$RPM_BUILD_ROOT%{_mandir}/man1

echo .so frm.1 > $RPM_BUILD_ROOT%{_mandir}/man1/nfrm.1

ln -sf newmail	$RPM_BUILD_ROOT%{_bindir}/wnewmail
ln -sf frm 	$RPM_BUILD_ROOT%{_bindir}/nfrm

# mmencode is provided by metamail package
rm -f $RPM_BUILD_ROOT%{_bindir}/mmencode
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/mmencode.1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Overview README

%attr(2755,root,mail) %{_bindir}/elm
%attr(755,root,root) %{_bindir}/elmalias
%attr(755,root,root) %{_bindir}/[!e]*
%{_datadir}/elm
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(fi) %{_mandir}/fi/man1/*

%{_desktopdir}/elm.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: elm.spec,v $
Revision 1.47.2.2  2008/09/17 12:42:17  ankry
- rel. 5

Revision 1.47.2.1  2008/09/17 12:39:58  ankry
- elm should be sgid mail for mailbox locking

Revision 1.47  2004/09/06 09:45:49  ankry
- switched to %%{_desktopdir}, rel. 4

Revision 1.46  2004/08/07 20:21:54  adamg
- cosmetics

Revision 1.45  2004/08/07 20:10:48  ankry
- one more build fix...

Revision 1.44  2004/08/07 20:04:37  ankry
- should fix build, rel. 3

Revision 1.43  2004/08/07 18:30:55  havner
- rel 2

Revision 1.42  2004/03/18 16:45:50  eothane
- correct URL:

Revision 1.41  2004/03/18 11:47:45  eothane
- up to 2.5.7, -DI_STDARG added to %{__make}; builds

Revision 1.40  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.39  2003/05/25 05:47:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2002/11/22 00:03:42  ankry
- fixed desktop file, rel. 4

Revision 1.37  2002/11/15 08:32:40  kloczek
- release 3,
- added png icon for desktop file,
- merge translations from KSI,
- use new %doc.

Revision 1.36  2002/05/20 13:26:03  baggins
- release 2
- commented out tempnam patch (b0rken)

Revision 1.35  2002/04/25 16:14:58  arturs
fixed a small typo

Revision 1.34  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.31  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/11/20 23:54:27  ankry
- added forgotten {fi,pl}/man1/checkalias.1 into *-non-english-man-pages*
  (spec unchanged)

Revision 1.29  2001/11/19 22:27:56  ankry
- added pl/man1/nfrm.1 and fixed fi/man1/wnewmail in *-non-english-man*
  (spec unchanged)

Revision 1.28  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.27  2001/10/30 03:29:39  kloczek
- updated to 2.5.6,
- pass CC="%%{__cc}" to make parameters,
- added tempnam patch (based on version from CNV),
- merged translations from CNV.

Revision 1.26  2001/10/16 23:35:52  ankry
- fixed man-pages unpacking

Revision 1.25  2001/10/16 09:44:51  ankry
- make .tar.bz2 standard non-english-man-pages format

Revision 1.24  2001/10/15 23:06:42  ankry
- changed config patch: MIME enabled
- release 3

Revision 1.23  2001/10/03 23:12:31  ankry
- added some pl and fi man pages
- fixed build
- use rathes shared than static libcrypt
- commented out non-existent doc

Revision 1.22  2001/10/03 02:12:40  marcus
- new version 2.5.4

Revision 1.21  2001/10/03 02:07:11  marcus
- commented Patch2: (it is not in cvs repo!)

Revision 1.20  2001/09/20 11:26:55  ankry
- removed outdated patch from spec

Revision 1.19  2001/05/02 02:43:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.18  2000/07/13 23:07:26  baggins
- release 9
- rebuild with ncurses 5.1

Revision 1.17  2000/07/13 20:39:10  baggins
- release 8

Revision 1.16  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/29 17:21:40  kloczek
- release 7,
- create trmporary files in ~/elm insted in /tmp (patch merged from
  rawhide).

Revision 1.14  2000/05/29 17:04:49  michuz
- %%applnkdir changed

Revision 1.13  2000/05/18 18:30:52  kloczek
- spec adapterized.

Revision 1.12  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.11  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/02/16 07:43:06  kloczek
- releade 6,
- fix sigsegv on answer -u (answer patch from RH).

Revision 1.9  2000/02/04 23:29:56  kloczek
- release 2,
- added de, fr, tr translations from BeroLinux,
- added y2k fix (patch from rawhide).

Revision 1.8  2000/01/17 01:21:00  kloczek
- updated to 2.5.3.

Revision 1.7  1999/11/29 23:11:44  wiget
- updated to 2.5.2

Revision 1.6  1999/11/19 13:43:13  baggins
- release 4
- added temp-mbox patch, now elm knows ~/Mailbox

Revision 1.5  1999/11/19 12:54:29  pius
- removed mmencode (provided by metamail package)

Revision 1.4  1999/11/18 23:52:56  pius
- updated to 2.5.1
- replaced elm.wmconfig by elm.desktop file
- removed obsoleted patch
- updated Source url
- fixed linking binaries and man pages
- added BuildRequires & Requires rules
- added documentation
- simplifications in %build
- modified %files section
- other minor changes

Revision 1.3  1999/11/09 07:08:56  kura
- added pl translations

Revision 1.2  1999/08/20 14:39:35  baggins
- cleanup for PLD
- FHS 2.0
- gziping man pages

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw

* Sun Mar 14 1999 Jeff Johnson <jbj@redhat.com>
- enable metamail support (#823)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.5.0pre8.

* Tue Jan 19 1999 Alex deVries <puffin@redhat.com>
- fixed it to build for all architectures

* Thu Jan 14 1999 Bill Nottingham <notting@redhat.com>
- build for arm

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue Jun 16 1998 Alan Cox <alan@redhat.com>
- Make elm non setgid and use fcntl locking (this is fine
  with procmail and matches our PINE setup).

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Jan 07 1998 Erik Troan <ewt@redhat.com>
- removed filter -- it's a security problem

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
